/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2003 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.modules.editor.java;

import javax.swing.event.HyperlinkEvent;
import org.netbeans.editor.ext.CompletionJavaDoc;
import org.netbeans.editor.ext.ExtEditorUI;
import org.netbeans.jmi.javamodel.JavaClass;

/**
 *
 * @author Martin Roskanin
 */
public class NbJMIScrollJavaDocPane extends NbScrollJavaDocPane {
    
    /** Creates a new instance of NbJMIScrollJavaDocPane */
    public NbJMIScrollJavaDocPane(ExtEditorUI extEditorUI) {
        super(extEditorUI);
    }

    private CompletionJavaDoc getCJD(){
        return extEditorUI.getCompletionJavaDoc();
    }
    
    protected HyperlinkAction createHyperlinkAction(){
        return new JMIHyperlinkAction();
    }
    
    private class JMIHyperlinkAction extends HyperlinkAction{
        public JMIHyperlinkAction(){
            
        }
        
        public void hyperlinkUpdate(HyperlinkEvent e) {
            if (e!=null && HyperlinkEvent.EventType.ACTIVATED.equals(e.getEventType())){
                if (e.getDescription() != null){
                    CompletionJavaDoc cjd = getCJD();
                    if (cjd instanceof NbJMICompletionJavaDoc){
                        NbJMICompletionJavaDoc jmiCJD = (NbJMICompletionJavaDoc)cjd;
                        Object obj = jmiCJD.parseLink(e.getDescription(), (JavaClass) null);
                        if (obj!=null){
                            jmiCJD.setContent(obj);
                            jmiCJD.addToHistory(obj);
                        } else {
                            obj = (e.getURL() == null) ? e.getDescription() : (Object)e.getURL();
                            jmiCJD.setContent(obj);
                        }
                    }else{
                        super.hyperlinkUpdate(e);
                    }
                }
            }
        }
        
    }

}
