/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.modules.editor.java;

import org.netbeans.editor.ext.CompletionQuery;
import org.netbeans.editor.ext.ExtEditorUI;
import org.netbeans.editor.ext.CompletionView;
import org.netbeans.editor.ext.ListCompletionView;
import org.netbeans.editor.ext.java.JavaCompletion;
import org.netbeans.editor.ext.JavaDocPane;


/**
* Java completion query specifications
*
* @author Miloslav Metelka
* @version 1.00
*/

public class NbJavaCompletion extends JavaCompletion {

    private JavaDocPane javaDocPane;    
    
    public NbJavaCompletion(ExtEditorUI extEditorUI) {
        super(extEditorUI);
    }

    public JavaDocPane getJavaDocPane(){
        if (javaDocPane == null){
            javaDocPane = new NbScrollJavaDocPane(extEditorUI);
        }
        return javaDocPane;
    }
    
    protected CompletionQuery createQuery() {
        return new NbJavaCompletionQuery();
    }

}
