/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.modules.editor.java;

import org.netbeans.editor.ext.CompletionQuery;
import org.netbeans.editor.ext.ExtEditorUI;
import org.netbeans.editor.ext.JavaDocPane;


/**
* Java completion working with java JMI interfaces.
*
* @author Miloslav Metelka
* @version 1.00
*/

public class NbJavaJMICompletion extends NbJavaCompletion {

    private JavaDocPane javaDocPane;
    private boolean isJava15 = true;

    public NbJavaJMICompletion(ExtEditorUI extEditorUI, String sourceLevel) {
        super(extEditorUI);
        if (sourceLevel != null) {
            try {
                isJava15 = Float.parseFloat(sourceLevel) >= 1.5;
            } catch (NumberFormatException e) {
                // leave the default value
            }
        }
    }

    protected CompletionQuery createQuery() {
        return new NbJavaJMICompletionQuery(isJava15);
    }

    public JavaDocPane getJavaDocPane(){
        if (javaDocPane == null){
            javaDocPane = new NbJMIScrollJavaDocPane(extEditorUI);
        }
        return javaDocPane;
    }

}
